CVE-2002-2431
CVSS7.5
发布时间 :2009-02-06 14:30:00
修订时间 :2009-02-09 00:00:00
NMCO    

[原文]Unspecified vulnerability in GoAhead WebServer before 2.1.4 allows remote attackers to cause "incorrect behavior" via unknown "malicious code," related to incorrect use of the socketInputBuffered function by sockGen.c.


[CNNVD]GoAhead WebServer 'socketInputBuffered函数'未明漏洞(CNNVD-200902-116)

        GoAhead WebServer是一款WEB发布服务系统软件。
        GoAhead WebServer 2.1.4之前版本存在未明漏洞。远程攻击者可以借助未知的"恶意代码",导致"不正确的行为"发生。它与对socketInputBuffered函数的错误使用有关。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:goahead:goahead_webserver:2.1.1GoAhead Software GoAhead WebServer 2.1.1
cpe:/a:goahead:goahead_webserver:2.0GoAhead Software GoAhead WebServer 2.0
cpe:/a:goahead:goahead_webserver:2.1.2GoAhead Software GoAhead WebServer 2.1.2
cpe:/a:goahead:goahead_webserver:2.1.3GoAhead Software GoAhead WebServer 2.1.3
cpe:/a:goahead:goahead_webserver:2.1GoAhead Software GoAhead WebServer 2.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2431
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2431
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200902-116
(官方数据源) CNNVD

- 其它链接及资源

http://data.goahead.com/Software/Webserver/2.1.8/release.htm#fixed-vulnerability-to-malicious-code-in-sockgen-c
(UNKNOWN)  CONFIRM  http://data.goahead.com/Software/Webserver/2.1.8/release.htm#fixed-vulnerability-to-malicious-code-in-sockgen-c

- 漏洞信息

GoAhead WebServer 'socketInputBuffered函数'未明漏洞
高危 设计错误
2009-02-06 00:00:00 2009-02-09 00:00:00
远程  
        GoAhead WebServer是一款WEB发布服务系统软件。
        GoAhead WebServer 2.1.4之前版本存在未明漏洞。远程攻击者可以借助未知的"恶意代码",导致"不正确的行为"发生。它与对socketInputBuffered函数的错误使用有关。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.goahead.com/products/webserver/Download.aspx

- 漏洞信息

56428
GoAhead WebServer sockGen.c socketInputBuffered Function Unspecified Remote Issue
Remote / Network Access Input Manipulation
Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2002-10-17 Unknow
Unknow 2002-10-17

- 解决方案

Upgrade to version 2.1.4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站